Package org.gradle.api.artifacts.dsl

# Interface GradleDependencies

All Superinterfaces:
  `Dependencies`

All Known Subinterfaces:
  `JvmComponentDependencies`

public interface GradleDependencies extends Dependencies
Dependency APIs available for `dependencies` blocks that can build software that relies on Gradle APIs.

Since:
  7.6
API Note:
  This interface is intended to be used to mix-in methods that expose Gradle-specific dependencies to the DSL.
Implementation Requirements:
  The default implementation of all methods should not be overridden.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default Dependency`
  `gradleApi()`
  Creates a dependency on the API of the current version of Gradle.
  `default Dependency`
  `gradleTestKit()`
  Creates a dependency on the Gradle test-kit API.
  `default Dependency`
  `localGroovy()`
  Creates a dependency on the version of Groovy that is distributed with the current version of Gradle.

  ### Methods inherited from interface org.gradle.api.artifacts.dsl.Dependencies

  `constraint, constraint, constraint, constraint, getDependencyConstraintFactory, getDependencyFactory, getObjectFactory, getProject, module, module, project, project`

- ## Method Details

  - ### gradleApi

    default Dependency gradleApi()
    Creates a dependency on the API of the current version of Gradle.
    Returns:
      The dependency.
    Since:
      7.6

  - ### gradleTestKit

    default Dependency gradleTestKit()
    Creates a dependency on the Gradle test-kit API.
    Returns:
      The dependency.
    Since:
      7.6

  - ### localGroovy

    default Dependency localGroovy()
    Creates a dependency on the version of Groovy that is distributed with the current version of Gradle.
    Returns:
      The dependency.
    Since:
      7.6